<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <title>Codecs</title>
</head>
<body>
    <h3>Choose codec</h3>
    <form method="post">
        <th:block th:each="codec : ${codecs}">
            <div class="codecElement">
                <label>
                    <input type="radio" name="codec" th:value="${codec}">
                    <span th:text="${codec}"></span>
                </label>
            </div>
        </th:block>

        <div style="padding: 10px 5px;">
            <label>
                <input type="text" name="text">
            </label>
        </div>

        <input type="hidden" name="action" th:value="${actionParameter}">
        <div style="padding: 10px 5px;">
            <input type="submit" value="Get answer">
        </div>
    </form>

</body>
</html>